【CentOS7】yumで依存しているパッケージを確認する

yum deplistでyumパッケージの依存関係を確認することができる。

yum deplist [パッケージ名]

パッケージが依存しているパッケージのリストを出力できます。

インストールする際に出るリストは足りないから一緒にインストールするパッケージのみです。

nginxをインストールするとき一緒にインストールする依存したパッケージの例。

$ sudo yum install nginx
...
Dependencies Resolved

============================================================================================================= Package                        Arch                 Version                        Repository          Size 
=============================================================================================================Installing:
 nginx                          x86_64               1:1.20.1-2.el7                 epel               586 k 
Installing for dependencies:
 centos-indexhtml               noarch               7-9.el7.centos                 base                92 k 
 gperftools-libs                x86_64               2.6.1-1.el7                    base               272 k 
 nginx-filesystem               noarch               1:1.20.1-2.el7                 epel                23 k 
 openssl11-libs                 x86_64               1:1.1.1g-3.el7                 epel               1.5 M 

Transaction Summary
=============================================================================================================Install  1 Package (+4 Dependent packages)

yum deplistではインストール済のパッケージも含めて依存するパッケージのリストがわかる。 対象が未インストールでも確認できます。

▼ nginxが依存するすべてのパッケージ。opensslzlibに依存していることがわかる。

$ sudo yum deplist nginx

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: ftp-srv2.kddilabs.jp
 * epel: ftp.riken.jp
 * extras: ftp-srv2.kddilabs.jp
 * remi-php56: ftp.riken.jp
 * remi-safe: ftp.riken.jp
 * updates: ftp.riken.jp
package: nginx.x86_64 1:1.20.1-2.el7
  dependency: /bin/sh
   provider: bash.x86_64 4.2.46-34.el7
  dependency: libc.so.6(GLIBC_2.17)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  dependency: libcrypt.so.1()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  dependency: libcrypt.so.1(GLIBC_2.2.5)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  dependency: libcrypto.so.1.1()(64bit)
   provider: openssl11-libs.x86_64 1:1.1.1g-3.el7
  dependency: libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
   provider: openssl11-libs.x86_64 1:1.1.1g-3.el7
  dependency: libdl.so.2()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  dependency: libdl.so.2(GLIBC_2.2.5)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  dependency: libpcre.so.1()(64bit)
   provider: pcre.x86_64 8.32-17.el7
  dependency: libprofiler.so.0()(64bit)
   provider: gperftools-libs.x86_64 2.6.1-1.el7
  dependency: libpthread.so.0()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  dependency: libpthread.so.0(GLIBC_2.2.5)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  dependency: libpthread.so.0(GLIBC_2.3.2)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  dependency: libssl.so.1.1()(64bit)
   provider: openssl11-libs.x86_64 1:1.1.1g-3.el7
  dependency: libssl.so.1.1(OPENSSL_1_1_0)(64bit)
   provider: openssl11-libs.x86_64 1:1.1.1g-3.el7
  dependency: libssl.so.1.1(OPENSSL_1_1_1)(64bit)
   provider: openssl11-libs.x86_64 1:1.1.1g-3.el7
  dependency: libz.so.1()(64bit)
   provider: zlib.x86_64 1.2.7-19.el7_9
  dependency: nginx-filesystem
   provider: nginx-filesystem.noarch 1:1.20.1-2.el7
  dependency: nginx-filesystem = 1:1.20.1-2.el7
   provider: nginx-filesystem.noarch 1:1.20.1-2.el7
  dependency: openssl
   provider: openssl.x86_64 1:1.0.2k-21.el7_9
  dependency: pcre
   provider: pcre.x86_64 8.32-17.el7
   provider: pcre.i686 8.32-17.el7
  dependency: redhat-indexhtml
   provider: centos-indexhtml.noarch 7-9.el7.centos
  dependency: rtld(GNU_HASH)
   provider: glibc.x86_64 2.17-324.el7_9
   provider: glibc.i686 2.17-324.el7_9
  dependency: system-logos
   provider: centos-logos.noarch 70.0.6-3.el7.centos
  dependency: systemd
   provider: systemd.x86_64 219-78.el7_9.3

yum deplist php

▼ remi-release-7を使ってインストールしたphp5.6の依存するパッケージの例。

$ sudo yum deplist php
読み込んだプラグイン:fastestmirror
Loading mirror speeds from cached hostfile
 * base: ftp.jaist.ac.jp
 * epel: ftp.jaist.ac.jp
 * extras: ftp.jaist.ac.jp
 * remi-php56: ftp.riken.jp
 * remi-safe: ftp.riken.jp
 * updates: ftp.jaist.ac.jp
パッケージ    : php.x86_64 5.6.40-28.el7.remi
  依存性      : httpd
   provider: httpd.x86_64 2.4.6-97.el7.centos
  依存性      : httpd-mmn = 20120211x8664
   provider: httpd.x86_64 2.4.6-97.el7.centos
  依存性      : ld-linux-x86-64.so.2()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libc.so.6(GLIBC_2.15)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libcom_err.so.2()(64bit)
   provider: libcom_err.x86_64 1.42.9-19.el7
  依存性      : libcrypt.so.1()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libcrypto.so.10()(64bit)
   provider: openssl-libs.x86_64 1:1.0.2k-21.el7_9
  依存性      : libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit)
   provider: openssl-libs.x86_64 1:1.0.2k-21.el7_9
  依存性      : libcrypto.so.10(OPENSSL_1.0.2)(64bit)
   provider: openssl-libs.x86_64 1:1.0.2k-21.el7_9
  依存性      : libcrypto.so.10(libcrypto.so.10)(64bit)
   provider: openssl-libs.x86_64 1:1.0.2k-21.el7_9
  依存性      : libdl.so.2()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libdl.so.2(GLIBC_2.2.5)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libgssapi_krb5.so.2()(64bit)
   provider: krb5-libs.x86_64 1.15.1-50.el7
  依存性      : libk5crypto.so.3()(64bit)
   provider: krb5-libs.x86_64 1.15.1-50.el7
  依存性      : libkrb5.so.3()(64bit)
   provider: krb5-libs.x86_64 1.15.1-50.el7
  依存性      : libm.so.6()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libm.so.6(GLIBC_2.2.5)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libnsl.so.1()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libpcre.so.1()(64bit)
   provider: pcre.x86_64 8.32-17.el7
  依存性      : libpthread.so.0()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libpthread.so.0(GLIBC_2.2.5)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libresolv.so.2()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libresolv.so.2(GLIBC_2.2.5)(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : librt.so.1()(64bit)
   provider: glibc.x86_64 2.17-324.el7_9
  依存性      : libssl.so.10()(64bit)
   provider: openssl-libs.x86_64 1:1.0.2k-21.el7_9
  依存性      : libssl.so.10(libssl.so.10)(64bit)
   provider: openssl-libs.x86_64 1:1.0.2k-21.el7_9
  依存性      : libxml2.so.2()(64bit)
   provider: libxml2.x86_64 2.9.1-6.el7.5
  依存性      : libxml2.so.2(LIBXML2_2.4.30)(64bit)
   provider: libxml2.x86_64 2.9.1-6.el7.5
  依存性      : libxml2.so.2(LIBXML2_2.5.2)(64bit)
   provider: libxml2.x86_64 2.9.1-6.el7.5
  依存性      : libxml2.so.2(LIBXML2_2.6.0)(64bit)
   provider: libxml2.x86_64 2.9.1-6.el7.5
  依存性      : libxml2.so.2(LIBXML2_2.6.11)(64bit)
   provider: libxml2.x86_64 2.9.1-6.el7.5
  依存性      : libz.so.1()(64bit)
   provider: zlib.x86_64 1.2.7-19.el7_9
  依存性      : php-cli(x86-64) = 5.6.40-28.el7.remi
   provider: php-cli.x86_64 5.6.40-28.el7.remi
  依存性      : php-common(x86-64) = 5.6.40-28.el7.remi
   provider: php-common.x86_64 5.6.40-28.el7.remi
  依存性      : rtld(GNU_HASH)
   provider: glibc.x86_64 2.17-324.el7_9
   provider: glibc.i686 2.17-324.el7_9

以上

Placeholder image

すずろく/suzu6

札幌にいるWEBアプリのエンジニア。最近はテストをもっと書きたい。

@suzu6_py Amazon ほしいものリスト

 関連記事

 新着 or 更新記事